fun String.isOnlyNumbers(): Boolean {
    return this.all { it.isDigit() || !it.isLetter() }
}

object Bob {
    fun hey(inpString: String): String{
        if (inpString.trim().length == 0){
            return "Fine. Be that way!"
        }
        else if ((inpString.toUpperCase() == inpString) && !inpString.isOnlyNumbers()){
            return "Whoa, chill out!"
        }
        else if (inpString.endsWith("?")){
            return "Sure."
        }
        else{
            return "Whatever."
        }
    }
}